Package org.opensaml.saml.metadata.resolver.filter.data.impl

# Class MetadataSource

java.lang.Object
org.opensaml.saml.metadata.resolver.filter.data.impl.MetadataSource

All Implemented Interfaces:
  `MetadataFilterContext.Data`

public class MetadataSource extends Object implements MetadataFilterContext.Data
Data object for `MetadataFilterContext` intended to hold information about the source of the metadata currently being processed.

Since:
  4.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`sourceId`
An identifier for the source of the metadata, typically the resolver ID.
`private boolean`
`trusted`
Flag indicating whether the metadata source is trusted.

## Constructor Summary

Constructors
Constructor
Description
`MetadataSource()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSourceId()`
Get identifier of the metadata source.
`boolean`
`isTrusted()`
Get whether the metadata source is trusted.
`void`
`setSourceId(String id)`
Set identifier of the metadata source.
`void`
`setTrusted(boolean flag)`
Set whether the metadata source is trusted.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sourceId

@Nullable private String sourceId
An identifier for the source of the metadata, typically the resolver ID.

### trusted

private boolean trusted
Flag indicating whether the metadata source is trusted.

## Constructor Details

### MetadataSource

public MetadataSource()

## Method Details

### getSourceId

@Nullable public String getSourceId()
Get identifier of the metadata source.

Returns:
  source identifier

### setSourceId

public void setSourceId(@Nullable String id)
Set identifier of the metadata source.

Parameters:
  `id` - source identifier

### isTrusted

public boolean isTrusted()
Get whether the metadata source is trusted.

Returns:
  true if trusted, false if not

### setTrusted

public void setTrusted(boolean flag)
Set whether the metadata source is trusted.

Parameters:
  `flag` - true if trusted, false if not